format_version: '1.0'

repository_url: https://github.com/rsyslog/rsyslog

sequence:
  base_version:
    input_file: '87c639fb.zip'
    commit_sha1: 87c639fb93d12dbc9b786ba775d744b0813db2ef
  fix_attempt:
    - input_file: '738e58dc.diff'
      commit_sha1: 738e58dcf6a0f463ad66945ce1f5cd55aee7f569
    - input_file: '26f07e75.diff'
      commit_sha1: 26f07e75978458ed6caf8798eb08da58d295b2dd
    - input_file: 'df77823d.diff'
      commit_sha1: df77823d71835e48c84d2a7d019c2a6e5676f873
    - input_file: '68710a40.diff'
      commit_sha1: 68710a4068c31f608d9b10d07be2b000d9505dfa
    - input_file: 'a79b07fc.diff'
      commit_sha1: a79b07fcd22e3354142468dbe287331a5a2765dd
    
  expected_fix:
    input_file: '7ef8e5d7.diff'
    commit_sha1: 7ef8e5d78d7626112b0fae6f11278b9a5435fcd8

  
classification: partial fix
categories: []  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/rsyslog/rsyslog/issues/35
